kdebase-runtime installation woes

Asked by card on 2010-01-12

Hi there,

I'm trying to install kdebase-runtime-4.4.2.2 on my Kubuntu 9.04 system. It can't install with the following message:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
[david@TOPIC->(CFD)]refcount$ sudo aptitude safe-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following packages will be upgraded:
  kdebase-runtime
1 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 1906kB of archives. After unpacking 0B will be used.
Do you want to continue? [Y/n/?] Y
Writing extended state information... Done
Get:1 http://us.archive.ubuntu.com jaunty-updates/main kdebase-runtime 4:4.2.2-0ubuntu1.1 [1906kB]
Fetched 1906kB in 3s (596kB/s)
(Reading database ... 232567 files and directories currently installed.)
Preparing to replace kdebase-runtime 4:4.2.2-0ubuntu1 (using .../kdebase-runtime_4%3a4.2.2-0ubuntu1.1_i386.deb) ...
Unpacking replacement kdebase-runtime ...
dpkg: error processing /var/cache/apt/archives/kdebase-runtime_4%3a4.2.2-0ubuntu1.1_i386.deb (--unpack):
 trying to overwrite `/usr/lib/kde4/libexec/kdesu', which is also in package kdesudo
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/kdebase-runtime_4%3a4.2.2-0ubuntu1.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done

I'm using aptitude. I've tracked it down in that kdebase-runtime installation scripts are trying to remove the 'kdesu' symbolic link in /usr/lib/kde4/libexec as you can see from the error above. I checked, but kdebase-runtime should install /usr/lib/kde4/libexec/kdesud. So my question is: Is there a typo in the install script where you left off a 'd', i.e. you meant to remove /usr/lib/kde4/libexec/kdesud NOT /usr/lib/kde4/libexec/kdesu?? At the moment, my upgrades are stalled until I get this resolved. Many thanks.

Philip Muškovac (yofel) said : #1

Same issue as bug 506409 it seems.

card (david-car7) said : #2

Yes. It appears so. I'm sorry, I did do a search before posting, but I don't know how I missed that. My apologies.

Can you help with this problem?

Provide an answer of your own, or ask card for more information if necessary.

To post a message you must log in.